# -*- coding: utf-8 -*-
from openerp import fields, models, api
from openerp.tools.translate import _
from openerp.exceptions import ValidationError, except_orm, Warning, RedirectWarning

class ProjectServiceStage(models.Model):
    _name = 'project.service.stage'
    _order = 'sequence'

    name = fields.Char(string='Stage Name', required=True)
    description = fields.Text(string='Description', translate=True)
    sequence = fields.Integer(string='Sequence')
    fold = fields.Boolean('Folded in Tasks Pipeline', help='This stage is folded in the kanban view when'
                                'there are no records in that stage to display.')

    _order = 'sequence'

    @api.multi
    def unlink(self):
        if self.id == 1:
            raise Warning(('No puedes borrar esta etapa.'))
        if self.id == 2:
            raise Warning(('No puedes borrar esta etapa.'))
        if self.id == 3:
            raise Warning(('No puedes borrar esta etapa.'))
        if self.id == 4:
            raise Warning(('No puedes borrar esta etapa.'))
        return super(ProjectServiceStage, self).unlink()